# Trekyll

Welcome to Trekyll. Trekyll is Jekyll plugin which enables you to use Trello board as CMS backend.

*Note: Currently tested with Jekyll 3.8.4 and custom Jekyll themes

## Installation:

### Option A (bundled with Jekyll)

Copy this code and save it as "Gemfile":

```
source "https://rubygems.org"
ruby RUBY_VERSION

gem "jekyll", "3.8.4"

group :jekyll_plugins do
   gem "jekyll-feed", "~> 0.6"
end

gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]
gem "trekyll",">=0.0.0"
```

Navigate to folder with the Gemfile and then run

```ruby
$ bundle install
```


### Option B (On top of existing Jekyll 3.4.0)
**With bundler - ** Add this line to your application's "Gemfile":

```ruby
gem 'trekyll'
```

And then execute:

    $ bundle

**Without bundler - ** Just install gem:

    $ gem install trekyll

## Usage in project
First thing first:

Make your new jekyll project

    $ jekyll new my_project

cd in your newly created project

    $ cd my_project

then open Gemfile and add this gem requirement

```ruby
gem 'trekyll'
```

Initialize your project

     $ trekyll init


***Setup your credentials for Trello:***

1. Login to your Trello account.
2. Open newly created **_init.yml** and paste your public key and member token from:

```
$ irb
$ irb> require 'trello'
$ irb> Trello.open_public_key_url                         # copy your public key
$ irb> Trello.open_authorization_url key: 'yourpublickey' # copy your member token
$ irb> exit
```

Enter your Board name and prefered Lists, and you are good to go

**Get data from trello**

    $ trekyll get

## Trekyll commands overview

###Help message about Trekyll

    $ trekyll
    $ trekyll -h
    $ trekyll --help

###Initialize your project
    $ trekyll init

###Get data from Trello board
    $ trekyll get

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

